Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BusinessAwayMessageSchedule

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BusinessAwayMessageSchedule

Direct Known Subclasses:
  `TdApi.BusinessAwayMessageScheduleAlways`, `TdApi.BusinessAwayMessageScheduleCustom`, `TdApi.BusinessAwayMessageScheduleOutsideOfOpeningHours`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.BusinessAwayMessageSchedule extends TdApi.Object permits TdApi.BusinessAwayMessageScheduleAlways, TdApi.BusinessAwayMessageScheduleOutsideOfOpeningHours, TdApi.BusinessAwayMessageScheduleCustom
This class is an abstract base class. Describes conditions for sending of away messages by a Telegram Business account.

## Constructor Summary

Constructors
Constructor
Description
`BusinessAwayMessageSchedule()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BusinessAwayMessageSchedule

public BusinessAwayMessageSchedule()
Default class constructor.